/**
 * aiplayer.h
 *
 * A class for for an ai chess player
 *
 * Zach Kamsler
 * IMGD 4000
 */

#ifndef _AIPLAYER_H_
#define _AIPLAYER_H_

#include "player.h"
#include <ClanLib/core.h>

/**
 * A class for an AI chess player
 */
class AIPlayer : public Player {
public:
	AIPlayer(int d, bool aggress=false) : maxDepth(d), running(false), aggressive(aggress) {}
	bool play(ChessBoard& board, Side side, Move& move);
	void go();
	int minimax(int depth, int alpha, int beta, const ChessBoard& board, Move& m);
private:
	int evaluate(const ChessBoard& board);

	ChessBoard* b;
	bool done, running, aggressive;
	Move m;	///< the best move found so far
	int maxDepth; ///< the maximum depth to search
	unsigned start; ///< the time when the Ai began thinking
	CL_Thread thread; ///< the thread for the AI to use
	static const unsigned int maxTime = 2000; ///< maximum thinking time for the AI in milliseconds
};


#endif

