#ifndef _CHESSCLIENT_H_
#define _CHESSCLIENT_H_

#include <ClanLib/network.h>

#include "enums.h"

class ChessBoard;
class Player;

class ChessClient {
public:
	ChessClient(ChessBoard& b, Player& p) : sock(CL_Socket::tcp), board(b), player(p), playing(false), valid(false) {}

	void connect(const std::string& hostname);
	void update();

private:
	CL_Socket sock;
	ChessBoard& board;
	Player& player;
	bool playing, valid;
	Side side;
};


#endif

