/**
 * chessgame.cpp
 *
 * A class for arbitrating chess games
 *
 * Zach Kamsler
 * IMGD 4000
 */


#include "chessgame.h"
#include "chessboard.h"
#include "chessgame.h"
#include "player.h"

/**
 * Constructs a chess game
 *
 * @param b		the board to play on
 * @param p1	the white player
 * @param p1	the black player
 */
ChessGame::ChessGame(ChessBoard& b, Player& p1, Player& p2) : board(b), white(p1), black(p2), turn(WHITE)
{}

/**
 * Update the chess game
 *
 * @return true if the game was completed
 */
bool ChessGame::update() {
	bool turnDone;

	if(turn == WHITE) {
		turnDone = white.play(board, turn);
	} else {
		turnDone = black.play(board, turn);
	}

	if (turnDone) {
		turn = reverseSide(turn);
	}

	return false;
}


