/**
 * enums.cpp
 *
 * Basic enums for the chess game
 *
 * Zach Kamsler
 * IMGD 4000
 */

#include "enums.h"
#include <cmath>

bool sameSide(int a, int b) {
	return a*b > 0;
}

bool isWhite(signed char p) {
	return p > 0;
}

bool isBlack(signed char p) {
	return p < 0;
}

Side reverseSide(Side s) {
	return (Side)-s;
}

Side sideOf(signed char p) {
	return isWhite(p) ? WHITE : BLACK;
}

bool hasType(signed char p, Piece t) {
	return abs(p) == t;
}

const char* const PORT = "2235";