/**
 * humanplayer.h
 *
 * A class for playing chess through the UI
 *
 * Zach Kamsler
 * IMGD 4000
 */

#ifndef _HUMANPLAYER_H_
#define _HUMANPLAYER_H_

#include "player.h"
#include <vector>
#include <ClanLib/core.h>

class ChessInterface;

/// A class for playing chess through the UI
class HumanPlayer : public Player {
public:
	HumanPlayer(ChessInterface& i) : inter(i), inTurn(false), havePiece(false), haveDest(false) {}

	bool play(ChessBoard& board, Side side, Move& move);
	void selectionChanged(const Position& pos);

private:
	void beginTurn();
	void endTurn();

	CL_Slot change;
	Position piece, dest;
	std::vector<Position> possible;

	ChessBoard* board;
	Side side;

	bool inTurn, havePiece, haveDest;
	ChessInterface& inter;
};


#endif

