/**
 * splashscreen.cpp
 *
 * A class for displaying a splash screen
 *
 * Zach Kamsler
 * IMGD 4000
 */

#include "splashscreen.h"
#include <ClanLib/core.h>

/**
 * Run the splash screen while there is no input
 */
void SplashScreen::run() {
	ok = true;
	CL_Slot mouse = CL_Mouse::sig_key_down().connect(this, SplashScreen::onInput);
	CL_Slot key = CL_Keyboard::sig_key_down().connect(this, SplashScreen::onInput);
	CL_Slot exit = CL_Display::get_current_window()->sig_window_close().connect(this, SplashScreen::onClose);

	while (ok) {
		surface.draw();
		CL_Display::flip();
		CL_System::sleep(10);
		CL_System::keep_alive();
	}
}